Bug 219247 - graphics/mesa-{dri,libs}: update to 17.1.0
Summary: graphics/mesa-{dri,libs}: update to 17.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL: https://lists.freedesktop.org/archive...
Keywords: patch
: 218551 (view as bug list)
Depends on:
Blocks: 220982
  Show dependency treegraph
 
Reported: 2017-05-12 23:55 UTC by Jan Beich
Modified: 2017-10-14 19:09 UTC (History)
2 users (show)

See Also:
jbeich: maintainer-feedback? (x11)


Attachments
v0 (10.58 KB, patch)
2017-05-12 23:55 UTC, Jan Beich
no flags Details | Diff
v1 (13.26 KB, patch)
2017-05-13 09:31 UTC, Jan Beich
no flags Details | Diff
v2 (14.79 KB, patch)
2017-05-17 03:09 UTC, Jan Beich
no flags Details | Diff
v2.1 (15.71 KB, patch)
2017-05-17 03:59 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-05-12 23:55:09 UTC
Created attachment 182554 [details]
v0

I've been dogfooding 17.1.0 on i965 (drm-next, Skylake) since rc1 without issues.
poudriere bulk -t is green on 10.3 i386/amd64, 11.0 i386/amd64, 12.0C amd64.

ABI: https://abi-laboratory.pro/tracker/timeline/mesa/ (exp-run is unnecessary)
Comment 1 Jan Beich freebsd_committer 2017-05-12 23:56:25 UTC
*** Bug 218551 has been marked as a duplicate of this bug. ***
Comment 2 Jan Beich freebsd_committer 2017-05-12 23:59:02 UTC
Comment on attachment 182554 [details]
v0

> +			--enable-llvm-shared-libs

Oops, rebase cruft.
Comment 3 Jan Beich freebsd_committer 2017-05-13 00:36:05 UTC
Comment on attachment 182554 [details]
v0

files/configure.ac + files/patch-configure bits are to be reviewed via https://lists.freedesktop.org/archives/mesa-dev/2017-May/155485.html
Comment 4 Jan Beich freebsd_committer 2017-05-13 09:31:21 UTC
Created attachment 182561 [details]
v1

Better fix for missing __atomic_fetch_add_8 on 11.0 i386 based on upstream feedback. I have no clue why 10.3 i386 isn't affected.
Comment 5 Jan Beich freebsd_committer 2017-05-17 03:09:20 UTC
Created attachment 182651 [details]
v2

- Avoid FREEDRENO dependening on textproc/py-mako
- Fix VC4 similar to libsync.h
Comment 6 Jan Beich freebsd_committer 2017-05-17 03:59:17 UTC
Created attachment 182652 [details]
v2.1

Fix plist on aarch64

Error: Orphaned: lib/dri/kgsl_dri.so
Error: Orphaned: lib/dri/msm_dri.so
Error: Orphaned: lib/dri/vc4_dri.so
Comment 7 commit-hook freebsd_committer 2017-05-21 19:32:02 UTC
A commit references this bug:

Author: rezny
Date: Sun May 21 19:30:56 UTC 2017
New revision: 441424
URL: https://svnweb.freebsd.org/changeset/ports/441424

Log:
  Update the Mesa ports to 17.1.0

  * restrict use of LLVM for Gallium to platforms with LLVM in base to fix
    runtime errors when Gallium is built with a mix of GCC and LLVM
  * make LLVM only a BUILD_DEPEND for mesa-libs, which needs it to build EGL
  * add pkg-plist entries for freedreno and vc4 drivers [1]
  * remove extraneous SHEBANG_FILES entry to fix build of freedreno [2,3]
  * correct typo in libosmesa, which may have affected the Gallium build [4]

  PR:		219247 [1], 219406 [3]
  Submitted by:	jbeich [1] (2 patches, pkg-plist fix), strejda (vc4 CFLAGS)
  Reported by:	strejda [2], andrew [3], linimon [4]
  Approved by:	swills (mentor)
  Differential Revision:	https://reviews.freebsd.org/D10842

Changes:
  head/graphics/libosmesa/Makefile
  head/graphics/mesa-dri/Makefile
  head/graphics/mesa-dri/Makefile.common
  head/graphics/mesa-dri/Makefile.targets
  head/graphics/mesa-dri/distinfo
  head/graphics/mesa-dri/files/configure.ac
  head/graphics/mesa-dri/files/patch-configure
  head/graphics/mesa-dri/files/patch-src_egl_drivers_dri2_platform__x11.c
  head/graphics/mesa-dri/files/patch-src_gallium_auxiliary_pipe-loader_pipe__loader__drm.c
  head/graphics/mesa-dri/files/patch-src_gallium_drivers_vc4_Makefile.in
  head/graphics/mesa-dri/files/patch-src_gallium_drivers_vc4_vc4__bufmgr.c
  head/graphics/mesa-dri/files/patch-src_intel_tools_aubinator.c
  head/graphics/mesa-dri/files/patch-src_intel_tools_aubinator__error__decode.c
  head/graphics/mesa-dri/files/patch-src_mapi_glapi_gen_gl__gentable.py
  head/graphics/mesa-dri/files/patch-src_mesa_main_compiler.h
  head/graphics/mesa-dri/files/patch-src_util_build__id.c
  head/graphics/mesa-dri/files/patch-src_util_ralloc.c
  head/graphics/mesa-dri/pkg-plist
  head/graphics/mesa-libs/Makefile
  head/lang/clover/Makefile
Comment 8 Matthew Rezny freebsd_committer 2017-05-21 20:15:47 UTC
I was unaware you were tracking Mesa development until I found this PR. Perhaps we should be more closely collaborating. If you're on IRC, drop by #freebsd-xorg sometime.

I used a couple of your simple patches and of course the plist corrections in the 17.1 update, but I already had simpler fixes for the other build issues. The one-line fix for GCC atomics should give a clue why it was only an issue on 11.0 i386 and not 10.3 (where I'd already worked around that issue).
Comment 9 Jan Beich freebsd_committer 2017-05-21 22:00:59 UTC
(In reply to Matthew Rezny from comment #8)
> I was unaware you were tracking Mesa development until I found this PR. Perhaps
> we should be more closely collaborating. If you're on IRC, drop by
> #freebsd-xorg sometime.

I do collaborate but mainly via mailing lists and bugzilla. IRC has too many downsides (no Tor support, lack of public logs, requires stable connection, different timezones) to make it hard to keep up.

> I used a couple of your simple patches and of course the plist corrections in
> the 17.1 update, but I already had simpler fixes for the other build issues.
> The one-line fix for GCC atomics should give a clue why it was only an issue on
> 11.0 i386 and not 10.3 (where I'd already worked around that issue).

I don't like your fix for USES=shebangfix. Many files are still pointlessly regenerated. Maybe drop the whole SHEBANG_FILES as **/Makefile.am prepends $(PYTHON_GEN) which is more portable or (like in my patch) reset timestamps.